Guest User

Untitled

a guest
Feb 16th, 2019
33
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. 1:25.15 c:\mozilla-unified\testing\raptor\test\test_cmdline.py
  2. 1:25.15 Traceback (most recent call last):
  3. 1:25.15 File "c:\mozilla-unified\third_party\python\pytest\src\_pytest\config\__init__.py", line 369, in _getconftestmodules
  4. 1:25.15 return self._path2confmods[path]
  5. 1:25.15 KeyError: local('c:\\mozilla-unified\\testing\\raptor\\test\\test_cmdline.py')
  6. 1:25.15
  7. 1:25.15 During handling of the above exception, another exception occurred:
  8. 1:25.15 Traceback (most recent call last):
  9. 1:25.16 File "c:\mozilla-unified\third_party\python\pytest\src\_pytest\config\__init__.py", line 369, in _getconftestmodules
  10. 1:25.16 return self._path2confmods[path]
  11. 1:25.16 KeyError: local('c:\\mozilla-unified\\testing\\raptor\\test')
  12. 1:25.16
  13. 1:25.16 During handling of the above exception, another exception occurred:
  14. 1:25.16 Traceback (most recent call last):
  15. 1:25.16 File "c:\mozilla-unified\third_party\python\pytest\src\_pytest\config\__init__.py", line 400, in _importconftest
  16. 1:25.16 return self._conftestpath2mod[conftestpath]
  17. 1:25.16 KeyError: local('c:\\mozilla-unified\\testing\\raptor\\test\\conftest.py')
  18. 1:25.16
  19. 1:25.16 During handling of the above exception, another exception occurred:
  20. 1:25.16 Traceback (most recent call last):
  21. 1:25.16 File "c:\mozilla-unified\third_party\python\pytest\src\_pytest\config\__init__.py", line 406, in _importconftest
  22. 1:25.17 mod = conftestpath.pyimport()
  23. 1:25.17 File "c:\mozilla-unified\third_party\python\py\py\_path\local.py", line 668, in pyimport
  24. 1:25.17 __import__(modname)
  25. 1:25.17 File "<frozen importlib._bootstrap>", line 969, in _find_and_load
  26. 1:25.17 File "<frozen importlib._bootstrap>", line 958, in _find_and_load_unlocked
  27. 1:25.17 File "<frozen importlib._bootstrap>", line 664, in _load_unlocked
  28. 1:25.17 File "<frozen importlib._bootstrap>", line 634, in _load_backward_compatible
  29. 1:25.17 File "c:\mozilla-unified\third_party\python\pytest\src\_pytest\assertion\rewrite.py", line 216, in load_module
  30. 1:25.17 py.builtin.exec_(co, mod.__dict__)
  31. 1:25.17 File "c:\mozilla-unified\testing\raptor\test\conftest.py", line 21, in <module>
  32. 1:25.17 from raptor.raptor import Raptor
  33. 1:25.17 File "c:\mozilla-unified\testing\raptor\raptor\raptor.py", line 17, in <module>
  34. 1:25.17 import mozcrash
  35. 1:25.17 File "c:\mozilla-unified\testing\mozbase\mozcrash\mozcrash\__init__.py", line 11, in <module>
  36. 1:25.18 from .mozcrash import *
  37. 1:25.18 File "c:\mozilla-unified\testing\mozbase\mozcrash\mozcrash\mozcrash.py", line 20, in <module>
  38. 1:25.18 import mozinfo
  39. 1:25.18 File "c:\mozilla-unified\testing\raptor\test\../../mozharness\mozinfo\__init__.py", line 57, in <module>
  40. 1:25.18 __all__ = mozinfo.__all__
  41. 1:25.19 AttributeError: module 'mozinfo' has no attribute '__all__'
  42. 1:25.19 ERROR: could not load c:\mozilla-unified\testing\raptor\test\conftest.py
  43. 1:25.19
  44. 1:25.19 TEST-UNEXPECTED-FAIL | No test output (missing mozunit.main() call?): c:\mozilla-unified\testing\raptor\test\test_cmdline.py
  45. 1:25.19 Setting retcode to 4 from c:\mozilla-unified\testing\raptor\test\test_cmdline.py
  46. 1:25.19 c:\mozilla-unified\testing\raptor\test\test_control_server.py
  47. 1:25.19 Traceback (most recent call last):
  48. 1:25.19 File "c:\mozilla-unified\testing\raptor\test\test_control_server.py", line 7, in <module>
  49. 1:25.19 from BaseHTTPServer import HTTPServer
  50. 1:25.19 ImportError: No module named 'BaseHTTPServer'
  51. 1:25.19 TEST-UNEXPECTED-FAIL | No test output (missing mozunit.main() call?): c:\mozilla-unified\testing\raptor\test\test_control_server.py
  52. 1:25.19 c:\mozilla-unified\testing\raptor\test\test_playback.py
  53. 1:25.19 Traceback (most recent call last):
  54. 1:25.19 File "c:\mozilla-unified\testing\raptor\test\test_playback.py", line 12, in <module>
  55. 1:25.19 from raptor.playback import get_playback, MitmproxyDesktop
  56. 1:25.19 File "c:\mozilla-unified\testing\raptor\raptor\playback\__init__.py", line 4, in <module>
  57. 1:25.19 from .mitmproxy import MitmproxyDesktop, MitmproxyAndroid
  58. 1:25.19 File "c:\mozilla-unified\testing\raptor\raptor\playback\mitmproxy.py", line 31, in <module>
  59. 1:25.19 from mozharness.base.python import Python3Virtualenv
  60. 1:25.19 File "c:\mozilla-unified\testing\raptor\raptor\playback\../../../mozharness\mozharness\base\python.py", line 16, in <module>
  61. 1:25.19 import urlparse
  62. 1:25.19 ImportError: No module named 'urlparse'
  63. 1:25.19 TEST-UNEXPECTED-FAIL | No test output (missing mozunit.main() call?): c:\mozilla-unified\testing\raptor\test\test_playback.py
  64. 1:25.19 c:\mozilla-unified\testing\raptor\test\test_manifest.py
  65. 1:25.19 Traceback (most recent call last):
  66. 1:25.19 File "c:\mozilla-unified\testing\raptor\test\test_manifest.py", line 22, in <module>
  67. 1:25.20 from manifest import get_browser_test_list, validate_test_ini, get_raptor_test_list
  68. 1:25.20 File "c:\mozilla-unified\testing\raptor\raptor\manifest.py", line 9, in <module>
  69. 1:25.20 from manifestparser import TestManifest
  70. 1:25.20 File "c:\mozilla-unified\testing\raptor\test\../../mozharness\manifestparser\__init__.py", line 6, in <module>
  71. 1:25.20 from .manifestparser import *
  72. 1:25.20 File "c:\mozilla-unified\testing\raptor\test\../../mozharness\manifestparser\manifestparser.py", line 5, in <module>
  73. 1:25.20 from StringIO import StringIO
  74. 1:25.20 ImportError: No module named 'StringIO'
  75. 1:25.20 TEST-UNEXPECTED-FAIL | No test output (missing mozunit.main() call?): c:\mozilla-unified\testing\raptor\test\test_manifest.py
  76. 1:26.81 c:\mozilla-unified\testing\raptor\test\test_print_tests.py
  77. 1:26.81 Traceback (most recent call last):
  78. 1:26.81 File "c:\mozilla-unified\third_party\python\pytest\src\_pytest\config\__init__.py", line 369, in _getconftestmodules
  79. 1:26.81 return self._path2confmods[path]
  80. 1:26.81 KeyError: local('c:\\mozilla-unified\\testing\\raptor\\test\\test_print_tests.py')
  81. 1:26.81
  82. 1:26.81 During handling of the above exception, another exception occurred:
  83. 1:26.82 Traceback (most recent call last):
  84. 1:26.82 File "c:\mozilla-unified\third_party\python\pytest\src\_pytest\config\__init__.py", line 369, in _getconftestmodules
  85. 1:26.82 return self._path2confmods[path]
  86. 1:26.82 KeyError: local('c:\\mozilla-unified\\testing\\raptor\\test')
  87. 1:26.82
  88. 1:26.82 During handling of the above exception, another exception occurred:
  89. 1:26.82 Traceback (most recent call last):
  90. 1:26.82 File "c:\mozilla-unified\third_party\python\pytest\src\_pytest\config\__init__.py", line 400, in _importconftest
  91. 1:26.82 return self._conftestpath2mod[conftestpath]
  92. 1:26.82 KeyError: local('c:\\mozilla-unified\\testing\\raptor\\test\\conftest.py')
  93. 1:26.82
  94. 1:26.82 During handling of the above exception, another exception occurred:
  95. 1:26.82 Traceback (most recent call last):
  96. 1:26.82 File "c:\mozilla-unified\third_party\python\pytest\src\_pytest\config\__init__.py", line 406, in _importconftest
  97. 1:26.83 mod = conftestpath.pyimport()
  98. 1:26.83 File "c:\mozilla-unified\third_party\python\py\py\_path\local.py", line 668, in pyimport
  99. 1:26.83 __import__(modname)
  100. 1:26.83 File "<frozen importlib._bootstrap>", line 969, in _find_and_load
  101. 1:26.83 File "<frozen importlib._bootstrap>", line 958, in _find_and_load_unlocked
  102. 1:26.83 File "<frozen importlib._bootstrap>", line 664, in _load_unlocked
  103. 1:26.83 File "<frozen importlib._bootstrap>", line 634, in _load_backward_compatible
  104. 1:26.83 File "c:\mozilla-unified\third_party\python\pytest\src\_pytest\assertion\rewrite.py", line 216, in load_module
  105. 1:26.83 py.builtin.exec_(co, mod.__dict__)
  106. 1:26.83 File "c:\mozilla-unified\testing\raptor\test\conftest.py", line 21, in <module>
  107. 1:26.83 from raptor.raptor import Raptor
  108. 1:26.83 File "c:\mozilla-unified\testing\raptor\raptor\raptor.py", line 17, in <module>
  109. 1:26.84 import mozcrash
  110. 1:26.84 File "c:\mozilla-unified\testing\mozbase\mozcrash\mozcrash\__init__.py", line 11, in <module>
  111. 1:26.84 from .mozcrash import *
  112. 1:26.84 File "c:\mozilla-unified\testing\mozbase\mozcrash\mozcrash\mozcrash.py", line 20, in <module>
  113. 1:26.84 import mozinfo
  114. 1:26.84 File "c:\mozilla-unified\testing\raptor\test\../../mozharness\mozinfo\__init__.py", line 57, in <module>
  115. 1:26.84 __all__ = mozinfo.__all__
  116. 1:26.84 AttributeError: module 'mozinfo' has no attribute '__all__'
  117. 1:26.84 ERROR: could not load c:\mozilla-unified\testing\raptor\test\conftest.py
  118. 1:26.84
  119. 1:26.84 TEST-UNEXPECTED-FAIL | No test output (missing mozunit.main() call?): c:\mozilla-unified\testing\raptor\test\test_print_tests.py
  120. 1:26.84 c:\mozilla-unified\testing\raptor\test\test_utils.py
  121. 1:26.84 Traceback (most recent call last):
  122. 1:26.84 File "c:\mozilla-unified\testing\raptor\test\test_utils.py", line 21, in <module>
  123. 1:26.84 from utils import transform_platform
  124. 1:26.84 File "c:\mozilla-unified\testing\raptor\raptor\utils.py", line 14, in <module>
  125. 1:26.84 from mozprocess import ProcessHandler
  126. 1:26.84 File "c:\mozilla-unified\testing\raptor\test\../../mozharness\mozprocess\__init__.py", line 8, in <module>
  127. 1:26.84 from .processhandler import *
  128. 1:26.84 File "c:\mozilla-unified\testing\raptor\test\../../mozharness\mozprocess\processhandler.py", line 283
  129. 1:26.84 print "ProcessManager NOT managing child processes"
  130. 1:26.84 ^
  131. 1:26.84 SyntaxError: Missing parentheses in call to 'print'
  132. 1:26.84 TEST-UNEXPECTED-FAIL | No test output (missing mozunit.main() call?): c:\mozilla-unified\testing\raptor\test\test_utils.py
  133. 1:26.84 c:\mozilla-unified\testing\raptor\test\test_raptor.py
  134. 1:26.84 Traceback (most recent call last):
  135. 1:26.84 File "c:\mozilla-unified\testing\raptor\test\test_raptor.py", line 12, in <module>
  136. 1:26.85 from mozrunner.errors import RunnerNotStartedError
  137. 1:26.85 File "c:\mozilla-unified\testing\mozbase\mozrunner\mozrunner\__init__.py", line 8, in <module>
  138. 1:26.85 from .cli import *
  139. 1:26.85 File "c:\mozilla-unified\testing\mozbase\mozrunner\mozrunner\cli.py", line 13, in <module>
  140. 1:26.85 from .runners import runners
  141. 1:26.85 File "c:\mozilla-unified\testing\mozbase\mozrunner\mozrunner\runners.py", line 14, in <module>
  142. 1:26.85 from .base import GeckoRuntimeRunner, FennecRunner, BlinkRuntimeRunner
  143. 1:26.85 File "c:\mozilla-unified\testing\mozbase\mozrunner\mozrunner\base\__init__.py", line 5, in <module>
  144. 1:26.85 from .device import DeviceRunner, FennecRunner
  145. 1:26.85 File "c:\mozilla-unified\testing\mozbase\mozrunner\mozrunner\base\device.py", line 17, in <module>
  146. 1:26.85 from ..devices import BaseEmulator
  147. 1:26.85 File "c:\mozilla-unified\testing\mozbase\mozrunner\mozrunner\devices\__init__.py", line 7, in <module>
  148. 1:26.85 from .emulator import BaseEmulator, EmulatorAVD
  149. 1:26.85 File "c:\mozilla-unified\testing\mozbase\mozrunner\mozrunner\devices\emulator.py", line 18, in <module>
  150. 1:26.85 from .base import Device
  151. 1:26.85 File "c:\mozilla-unified\testing\mozbase\mozrunner\mozrunner\devices\base.py", line 4, in <module>
  152. 1:26.85 from ConfigParser import (
  153. 1:26.85 ImportError: No module named 'ConfigParser'
  154. 1:26.85 TEST-UNEXPECTED-FAIL | No test output (missing mozunit.main() call?): c:\mozilla-unified\testing\raptor\test\test_raptor.py
  155. 1:26.86 Return code from mach python-test: 4
RAW Paste Data